import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:krow/features/earning/domain/bloc/earnings_bloc.dart';

@RoutePage()
class EarningsFlowScreen extends StatelessWidget {
  const EarningsFlowScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
      create: (BuildContext context) =>
          EarningsBloc()..add(const EarningsInitEvent()),
      child: const AutoRouter(),
    );
  }
}
